### A free/open-source library for quantitative finance

Classes
ql/math/integrals/segmentintegral.hpp File Reference

Integral of a one-dimensional function using segment algorithm. More...

`#include <ql/math/integrals/integral.hpp>`
`#include <ql/errors.hpp>`
Include dependency graph for segmentintegral.hpp:

## Classes

class | SegmentIntegral
| Integral of a one-dimensional function. More...

## Detailed Description

Integral of a one-dimensional function using segment algorithm.